using Newtonsoft.Json;

namespace C4IT.DataHistoryProvider.Base.Modules.Agent.DTOs
{
    public class AgentLogonResultDto
    {
        [JsonProperty("access_token")]
        public string AccessToken { get; set; }

        [JsonProperty("expires_in")]
        public int ExpiresIn { get; set; }

        [JsonProperty("token_type")]
        public string TokenType { get; set; }

        [JsonProperty("scope")]
        public string Scope { get; set; }

        [JsonProperty("remote_ip")]
        public string RemoteIp { get; set; }
    }
}
